### Method

# Pango Layout get_serial

since: 1.32.4

#### Declaration [src]

    guint
    pango_layout_get_serial (
      PangoLayout* layout
    )

#### Description [src]

Returns the current serial number of `layout`.

The serial number is initialized to an small number larger than zero when a new layout is created and is increased whenever the layout is changed using any of the setter functions, or the `PangoContext` it uses has changed. The serial may wrap, but will never have the value 0. Since it can wrap, never compare it with “less than”, always use “not equals”.

This can be used to automatically detect changes to a `PangoLayout`, and is useful for example to decide whether a layout needs redrawing. To force the serial to be increased, use `pango_layout_context_changed()`.

Available since: 1.32.4

#### Return value

Type: `guint`

The current serial number of `layout`.